﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.ContractModel
{
    public class Online_Order_Source
    {
        public int Id { get; set; }
        public string OrderNo { get; set; }
        public int PatId { get; set; }
        public int UserId { get; set; }
        /// <summary>
        /// 订单状态(1待付款,4已付款,5订单取消,6 订单退款成功,7 订单退款失败, 8 订单退款中)
        /// </summary>
        public int OrderStatus { get; set; }
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 预约金额
        /// </summary>
        public decimal AptPrice { get; set; }
        /// <summary>
        /// 订单类型 1有赞
        /// </summary>
        public int AptType { get; set; }
        /// <summary>
        /// 是否使用优惠券
        /// </summary>
        public bool IsUseCoupon { get; set; }
        /// <summary>
        /// 优惠券id
        /// </summary>
        public int CouponId { get; set; }
        /// <summary>
        /// 优惠券金额
        /// </summary>
        public decimal CouponPrice { get; set; }
        /// <summary>
        /// 订单金额(实付)
        /// </summary>
        public decimal PayPrice { get; set; }
        /// <summary>
        /// 支付类型(alipay,weixin,unionpay)
        /// </summary>
        public string PayWay { get; set; }
        public DateTime PayTime { get; set; }
        /// <summary>
        /// 支付流水号
        /// </summary>
        public string TradeNo { get; set; }
        public string Remark { get; set; }
        public DateTime UpdateTime { get; set; }
        public string UpdateUser { get; set; }
        /// <summary>
        /// 是否是英文订单
        /// </summary>
        public bool IsEnglish { get; set; }
    }
}
